SAGA not loaded on QGIS 2.18.5

2017-03-26 03:55 PM - Pedro Venâncio

Status: Closed

Priority: Severe/Regression

Assignee: René-Luc ReLuc

Category: Processing/SAGA

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24288

Description

2017-03-26T23:16:47    2    Could not load provider: SAGA (2.3.1)

            Traceback (most recent call last):

              File "/usr/share/qgis/python/plugins/processing/core/Processing.py", line 95, in addProvider

                provider.loadAlgorithms()

              File "/usr/share/qgis/python/plugins/processing/core/AlgorithmProvider.py", line 56, in loadAlgorithms

                self._loadAlgorithms()

              File "/usr/share/qgis/python/plugins/processing/algs/saga/SagaAlgorithmProvider.py", line 107, in _loadAlgorithms

                for descriptionFile in os.listdir(folder):

            OSError: [Errno 2] Ficheiro ou directoria inexistente:

'/usr/share/qgis/python/plugins/processing/algs/saga/description/2.3.1'

This was introduced in this commit: #f568ca2b85deb05d3c76887f26901bfe09ce029f

and should also affect QGIS 2.14.13 (not tested): #b1ae883d08c2c0a472e50a6e276f97725b72410e

I think it can be solved by changing line 56 of "/usr/share/qgis/python/plugins/processing/core/AlgorithmProvider.py" to

                         "2.3.1": ("2.3.0", SagaAlgorithm230)}

Regardless of this small problem, thank you very much for the support of the SAGA LTR versions René-Luc!

PS: The affected version is 2.18.5, but it is not available in the dropdown list yet, so I choose 2.18.4.

History

#1 - 2017-03-27 05:38 AM - René-Luc ReLuc

Same error in the twice versions: 2.18.2 and 2.14.13.

I'll fix it!

#2 - 2017-03-27 05:40 AM - René-Luc ReLuc

I also apology for this issue, I didn't know that new versions had to be released last week.
#3 - 2017-03-27 05:47 AM - René-Luc ReLuc

- Resolution set to fixed/implemented

- Status changed from Open to Closed

2.18: #32146a8059b62dad9f698cd8a4c10e5541b3e7b8

2.14: #2bc086bf1b05f4b2fa959f5e0499a7cf4d3b6c3f

#4 - 2017-03-27 08:10 AM - Jürgen Fischer

René-Luc ReLuc wrote:

I also apology for this issue, I didn't know that new versions had to be released last week.

good timing for that. ;)
